Package org.apache.sling.distribution.journal.bookkeeper

# Class BookKeeper.PackageStatus

java.lang.Object
org.apache.sling.distribution.journal.bookkeeper.BookKeeper.PackageStatus

Enclosing class:
  `BookKeeper`

public static class BookKeeper.PackageStatus extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final org.apache.sling.distribution.journal.messages.PackageStatusMessage.Status`
`status`

## Constructor Summary

Constructors
Constructor
Description
`PackageStatus(org.apache.sling.api.resource.ValueMap statusMap)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### status

public final org.apache.sling.distribution.journal.messages.PackageStatusMessage.Status status

## Constructor Details

### PackageStatus

public PackageStatus(org.apache.sling.api.resource.ValueMap statusMap)